Generation Framework

## org.eclipse.gmf.codegen.gmfgen.util
Class GMFGenSwitch<T>

    java.lang.Object
      org.eclipse.gmf.codegen.gmfgen.util.GMFGenSwitch<T>

    public class GMFGenSwitch<T>

extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `GMFGenPackage`
** Generated **

Field Summary
`protected static GMFGenPackage` `modelPackage` The cached model package

Constructor Summary
`GMFGenSwitch()` Creates an instance of the switch

Method Summary
`T` `caseAbstractToolEntry(AbstractToolEntry object)` Returns the result of interpreting the object as an instance of 'Abstract Tool Entry'
`T` `caseAttributes(Attributes object)` Returns the result of interpreting the object as an instance of 'Attributes'
`T` `caseBatchValidation(BatchValidation object)` Returns the result of interpreting the object as an instance of 'Batch Validation'
`T` `caseBehaviour(Behaviour object)` Returns the result of interpreting the object as an instance of 'Behaviour'
`T` `caseColorAttributes(ColorAttributes object)` Returns the result of interpreting the object as an instance of 'Color Attributes'
`T` `caseCustomBehaviour(CustomBehaviour object)` Returns the result of interpreting the object as an instance of 'Custom Behaviour'
`T` `caseCustomTabFilter(CustomTabFilter object)` Returns the result of interpreting the object as an instance of 'Custom Tab Filter'
`T` `caseDefaultSizeAttributes(DefaultSizeAttributes object)` Returns the result of interpreting the object as an instance of 'Default Size Attributes'
`T` `caseDesignLabelModelFacet(DesignLabelModelFacet object)` Returns the result of interpreting the object as an instance of 'Design Label Model Facet'
`T` `caseDynamicModelAccess(DynamicModelAccess object)` Returns the result of interpreting the object as an instance of 'Dynamic Model Access'
`T` `caseEditorCandies(EditorCandies object)` Returns the result of interpreting the object as an instance of 'Editor Candies'
`T` `caseEditPartCandies(EditPartCandies object)` Returns the result of interpreting the object as an instance of 'Edit Part Candies'
`T` `caseElementType(ElementType object)` Returns the result of interpreting the object as an instance of 'Element Type'
`T` `caseEntryBase(EntryBase object)` Returns the result of interpreting the object as an instance of 'Entry Base'
`T` `caseFeatureLabelModelFacet(FeatureLabelModelFacet object)` Returns the result of interpreting the object as an instance of 'Feature Label Model Facet'
`T` `caseFeatureLinkModelFacet(FeatureLinkModelFacet object)` Returns the result of interpreting the object as an instance of 'Feature Link Model Facet'
`T` `caseFigureViewmap(FigureViewmap object)` Returns the result of interpreting the object as an instance of 'Figure Viewmap'
`T` `caseGenActionFactoryContributionItem(GenActionFactoryContributionItem object)` Returns the result of interpreting the object as an instance of 'Gen Action Factory Contribution Item'
`T` `caseGenApplication(GenApplication object)` Returns the result of interpreting the object as an instance of 'Gen Application'
`T` `caseGenAuditable(GenAuditable object)` Returns the result of interpreting the object as an instance of 'Gen Auditable'
`T` `caseGenAuditContainer(GenAuditContainer object)` Returns the result of interpreting the object as an instance of 'Gen Audit Container'
`T` `caseGenAuditContext(GenAuditContext object)` Returns the result of interpreting the object as an instance of 'Gen Audit Context'
`T` `caseGenAuditedMetricTarget(GenAuditedMetricTarget object)` Returns the result of interpreting the object as an instance of 'Gen Audited Metric Target'
`T` `caseGenAuditRoot(GenAuditRoot object)` Returns the result of interpreting the object as an instance of 'Gen Audit Root'
`T` `caseGenAuditRule(GenAuditRule object)` Returns the result of interpreting the object as an instance of 'Gen Audit Rule'
`T` `caseGenChildContainer(GenChildContainer object)` Returns the result of interpreting the object as an instance of 'Gen Child Container'
`T` `caseGenChildLabelNode(GenChildLabelNode object)` Returns the result of interpreting the object as an instance of 'Gen Child Label Node'
`T` `caseGenChildNode(GenChildNode object)` Returns the result of interpreting the object as an instance of 'Gen Child Node'
`T` `caseGenChildSideAffixedNode(GenChildSideAffixedNode object)` Returns the result of interpreting the object as an instance of 'Gen Child Side Affixed Node'
`T` `caseGenColor(GenColor object)` Returns the result of interpreting the object as an instance of 'Gen Color'
`T` `caseGenCommonBase(GenCommonBase object)` Returns the result of interpreting the object as an instance of 'Gen Common Base'
`T` `caseGenCompartment(GenCompartment object)` Returns the result of interpreting the object as an instance of 'Gen Compartment'
`T` `caseGenConstantColor(GenConstantColor object)` Returns the result of interpreting the object as an instance of 'Gen Constant Color'
`T` `caseGenConstraint(GenConstraint object)` Returns the result of interpreting the object as an instance of 'Gen Constraint'
`T` `caseGenContainerBase(GenContainerBase object)` Returns the result of interpreting the object as an instance of 'Gen Container Base'
`T` `caseGenContributionItem(GenContributionItem object)` Returns the result of interpreting the object as an instance of 'Gen Contribution Item'
`T` `caseGenContributionManager(GenContributionManager object)` Returns the result of interpreting the object as an instance of 'Gen Contribution Manager'
`T` `caseGenCustomFont(GenCustomFont object)` Returns the result of interpreting the object as an instance of 'Gen Custom Font'
`T` `caseGenCustomPreferencePage(GenCustomPreferencePage object)` Returns the result of interpreting the object as an instance of 'Gen Custom Preference Page'
`T` `caseGenCustomPropertyTab(GenCustomPropertyTab object)` Returns the result of interpreting the object as an instance of 'Gen Custom Property Tab'
`T` `caseGenDiagram(GenDiagram object)` Returns the result of interpreting the object as an instance of 'Gen Diagram'
`T` `caseGenDiagramElementTarget(GenDiagramElementTarget object)` Returns the result of interpreting the object as an instance of 'Gen Diagram Element Target'
`T` `caseGenDiagramPreferences(GenDiagramPreferences object)` Returns the result of interpreting the object as an instance of 'Gen Diagram Preferences'
`T` `caseGenDiagramUpdater(GenDiagramUpdater object)` Returns the result of interpreting the object as an instance of 'Gen Diagram Updater'
`T` `caseGenDomainAttributeTarget(GenDomainAttributeTarget object)` Returns the result of interpreting the object as an instance of 'Gen Domain Attribute Target'
`T` `caseGenDomainElementTarget(GenDomainElementTarget object)` Returns the result of interpreting the object as an instance of 'Gen Domain Element Target'
`T` `caseGenDomainModelNavigator(GenDomainModelNavigator object)` Returns the result of interpreting the object as an instance of 'Gen Domain Model Navigator'
`T` `caseGenEditorGenerator(GenEditorGenerator object)` Returns the result of interpreting the object as an instance of 'Gen Editor Generator'
`T` `caseGenEditorView(GenEditorView object)` Returns the result of interpreting the object as an instance of 'Gen Editor View'
`T` `caseGenElementInitializer(GenElementInitializer object)` Returns the result of interpreting the object as an instance of 'Gen Element Initializer'
`T` `caseGenExpressionInterpreter(GenExpressionInterpreter object)` Returns the result of interpreting the object as an instance of 'Gen Expression Interpreter'
`T` `caseGenExpressionProviderBase(GenExpressionProviderBase object)` Returns the result of interpreting the object as an instance of 'Gen Expression Provider Base'
`T` `caseGenExpressionProviderContainer(GenExpressionProviderContainer object)` Returns the result of interpreting the object as an instance of 'Gen Expression Provider Container'
`T` `caseGenExternalNodeLabel(GenExternalNodeLabel object)` Returns the result of interpreting the object as an instance of 'Gen External Node Label'
`T` `caseGenFeatureInitializer(GenFeatureInitializer object)` Returns the result of interpreting the object as an instance of 'Gen Feature Initializer'
`T` `caseGenFeatureSeqInitializer(GenFeatureSeqInitializer object)` Returns the result of interpreting the object as an instance of 'Gen Feature Seq Initializer'
`T` `caseGenFeatureValueSpec(GenFeatureValueSpec object)` Returns the result of interpreting the object as an instance of 'Gen Feature Value Spec'
`T` `caseGenFont(GenFont object)` Returns the result of interpreting the object as an instance of 'Gen Font'
`T` `caseGenGroupMarker(GenGroupMarker object)` Returns the result of interpreting the object as an instance of 'Gen Group Marker'
`T` `caseGenJavaExpressionProvider(GenJavaExpressionProvider object)` Returns the result of interpreting the object as an instance of 'Gen Java Expression Provider'
`T` `caseGenLabel(GenLabel object)` Returns the result of interpreting the object as an instance of 'Gen Label'
`T` `caseGenLink(GenLink object)` Returns the result of interpreting the object as an instance of 'Gen Link'
`T` `caseGenLinkConstraints(GenLinkConstraints object)` Returns the result of interpreting the object as an instance of 'Gen Link Constraints'
`T` `caseGenLinkLabel(GenLinkLabel object)` Returns the result of interpreting the object as an instance of 'Gen Link Label'
`T` `caseGenMeasurable(GenMeasurable object)` Returns the result of interpreting the object as an instance of 'Gen Measurable'
`T` `caseGenMenuManager(GenMenuManager object)` Returns the result of interpreting the object as an instance of 'Gen Menu Manager'
`T` `caseGenMetricContainer(GenMetricContainer object)` Returns the result of interpreting the object as an instance of 'Gen Metric Container'
`T` `caseGenMetricRule(GenMetricRule object)` Returns the result of interpreting the object as an instance of 'Gen Metric Rule'
`T` `caseGenNavigator(GenNavigator object)` Returns the result of interpreting the object as an instance of 'Gen Navigator'
`T` `caseGenNavigatorChildReference(GenNavigatorChildReference object)` Returns the result of interpreting the object as an instance of 'Gen Navigator Child Reference'
`T` `caseGenNavigatorPath(GenNavigatorPath object)` Returns the result of interpreting the object as an instance of 'Gen Navigator Path'
`T` `caseGenNavigatorPathSegment(GenNavigatorPathSegment object)` Returns the result of interpreting the object as an instance of 'Gen Navigator Path Segment'
`T` `caseGenNode(GenNode object)` Returns the result of interpreting the object as an instance of 'Gen Node'
`T` `caseGenNodeLabel(GenNodeLabel object)` Returns the result of interpreting the object as an instance of 'Gen Node Label'
`T` `caseGenNotationElementTarget(GenNotationElementTarget object)` Returns the result of interpreting the object as an instance of 'Gen Notation Element Target'
`T` `caseGenPlugin(GenPlugin object)` Returns the result of interpreting the object as an instance of 'Gen Plugin'
`T` `caseGenPreferencePage(GenPreferencePage object)` Returns the result of interpreting the object as an instance of 'Gen Preference Page'
`T` `caseGenPropertySheet(GenPropertySheet object)` Returns the result of interpreting the object as an instance of 'Gen Property Sheet'
`T` `caseGenPropertyTab(GenPropertyTab object)` Returns the result of interpreting the object as an instance of 'Gen Property Tab'
`T` `caseGenPropertyTabFilter(GenPropertyTabFilter object)` Returns the result of interpreting the object as an instance of 'Gen Property Tab Filter'
`T` `caseGenReferenceNewElementSpec(GenReferenceNewElementSpec object)` Returns the result of interpreting the object as an instance of 'Gen Reference New Element Spec'
`T` `caseGenRGBColor(GenRGBColor object)` Returns the result of interpreting the object as an instance of 'Gen RGB Color'
`T` `caseGenRuleBase(GenRuleBase object)` Returns the result of interpreting the object as an instance of 'Gen Rule Base'
`T` `caseGenRuleTarget(GenRuleTarget object)` Returns the result of interpreting the object as an instance of 'Gen Rule Target'
`T` `caseGenSeparator(GenSeparator object)` Returns the result of interpreting the object as an instance of 'Gen Separator'
`T` `caseGenSharedContributionItem(GenSharedContributionItem object)` Returns the result of interpreting the object as an instance of 'Gen Shared Contribution Item'
`T` `caseGenStandardFont(GenStandardFont object)` Returns the result of interpreting the object as an instance of 'Gen Standard Font'
`T` `caseGenStandardPreferencePage(GenStandardPreferencePage object)` Returns the result of interpreting the object as an instance of 'Gen Standard Preference Page'
`T` `caseGenStandardPropertyTab(GenStandardPropertyTab object)` Returns the result of interpreting the object as an instance of 'Gen Standard Property Tab'
`T` `caseGenToolBarManager(GenToolBarManager object)` Returns the result of interpreting the object as an instance of 'Gen Tool Bar Manager'
`T` `caseGenTopLevelNode(GenTopLevelNode object)` Returns the result of interpreting the object as an instance of 'Gen Top Level Node'
`T` `caseInnerClassViewmap(InnerClassViewmap object)` Returns the result of interpreting the object as an instance of 'Inner Class Viewmap'
`T` `caseLabelModelFacet(LabelModelFacet object)` Returns the result of interpreting the object as an instance of 'Label Model Facet'
`T` `caseLabelOffsetAttributes(LabelOffsetAttributes object)` Returns the result of interpreting the object as an instance of 'Label Offset Attributes'
`T` `caseLinkConstraints(LinkConstraints object)` Returns the result of interpreting the object as an instance of 'Link Constraints'
`T` `caseLinkModelFacet(LinkModelFacet object)` Returns the result of interpreting the object as an instance of 'Link Model Facet'
`T` `caseMeasurementUnit(MeasurementUnit object)` Returns the result of interpreting the object as an instance of 'Measurement Unit'
`T` `caseMetamodelType(MetamodelType object)` Returns the result of interpreting the object as an instance of 'Metamodel Type'
`T` `caseModelFacet(ModelFacet object)` Returns the result of interpreting the object as an instance of 'Model Facet'
`T` `caseNotationType(NotationType object)` Returns the result of interpreting the object as an instance of 'Notation Type'
`T` `caseOpenDiagramBehaviour(OpenDiagramBehaviour object)` Returns the result of interpreting the object as an instance of 'Open Diagram Behaviour'
`T` `casePackageNames(PackageNames object)` Returns the result of interpreting the object as an instance of 'Package Names'
`T` `casePalette(Palette object)` Returns the result of interpreting the object as an instance of 'Palette'
`T` `caseParentAssignedViewmap(ParentAssignedViewmap object)` Returns the result of interpreting the object as an instance of 'Parent Assigned Viewmap'
`T` `caseProviderClassNames(ProviderClassNames object)` Returns the result of interpreting the object as an instance of 'Provider Class Names'
`T` `caseResizeConstraints(ResizeConstraints object)` Returns the result of interpreting the object as an instance of 'Resize Constraints'
`T` `caseSeparator(Separator object)` Returns the result of interpreting the object as an instance of 'Separator'
`T` `caseSharedBehaviour(SharedBehaviour object)` Returns the result of interpreting the object as an instance of 'Shared Behaviour'
`T` `caseShortcuts(Shortcuts object)` Returns the result of interpreting the object as an instance of 'Shortcuts'
`T` `caseSnippetViewmap(SnippetViewmap object)` Returns the result of interpreting the object as an instance of 'Snippet Viewmap'
`T` `caseSpecializationType(SpecializationType object)` Returns the result of interpreting the object as an instance of 'Specialization Type'
`T` `caseStandardEntry(StandardEntry object)` Returns the result of interpreting the object as an instance of 'Standard Entry'
`T` `caseStyleAttributes(StyleAttributes object)` Returns the result of interpreting the object as an instance of 'Style Attributes'
`T` `caseToolEntry(ToolEntry object)` Returns the result of interpreting the object as an instance of 'Tool Entry'
`T` `caseToolGroup(ToolGroup object)` Returns the result of interpreting the object as an instance of 'Tool Group'
`T` `caseToolGroupItem(ToolGroupItem object)` Returns the result of interpreting the object as an instance of 'Tool Group Item'
`T` `caseTypeLinkModelFacet(TypeLinkModelFacet object)` Returns the result of interpreting the object as an instance of 'Type Link Model Facet'
`T` `caseTypeModelFacet(TypeModelFacet object)` Returns the result of interpreting the object as an instance of 'Type Model Facet'
`T` `caseTypeTabFilter(TypeTabFilter object)` Returns the result of interpreting the object as an instance of 'Type Tab Filter'
`T` `caseValueExpression(ValueExpression object)` Returns the result of interpreting the object as an instance of 'Value Expression'
`T` `caseViewmap(Viewmap object)` Returns the result of interpreting the object as an instance of 'Viewmap'
`T` `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'
`protected T` `doSwitch(org.eclipse.emf.ecore.EClass theEClass, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
`T` `doSwitch(org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
`protected T` `doSwitch(int classifierID, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static GMFGenPackage modelPackage

  The cached model package

  ** Generated **

Constructor Detail

### GMFGenSwitch

    public GMFGenSwitch()

  Creates an instance of the switch.

  ** Generated **

Method Detail

### doSwitch

    public T doSwitch(org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.
  ** Generated **

### doSwitch

    protected T doSwitch(org.eclipse.emf.ecore.EClass theEClass,
                         org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.
  ** Generated **

### doSwitch

    protected T doSwitch(int classifierID,
                         org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.
  ** Generated **

### caseGenEditorGenerator

    public T caseGenEditorGenerator(GenEditorGenerator object)

  Returns the result of interpreting the object as an instance of 'Gen Editor Generator'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Editor Generator'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenDiagram

    public T caseGenDiagram(GenDiagram object)

  Returns the result of interpreting the object as an instance of 'Gen Diagram'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Diagram'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenEditorView

    public T caseGenEditorView(GenEditorView object)

  Returns the result of interpreting the object as an instance of 'Gen Editor View'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Editor View'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenPreferencePage

    public T caseGenPreferencePage(GenPreferencePage object)

  Returns the result of interpreting the object as an instance of 'Gen Preference Page'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Preference Page'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenCustomPreferencePage

    public T caseGenCustomPreferencePage(GenCustomPreferencePage object)

  Returns the result of interpreting the object as an instance of 'Gen Custom Preference Page'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Custom Preference Page'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenStandardPreferencePage

    public T caseGenStandardPreferencePage(GenStandardPreferencePage object)

  Returns the result of interpreting the object as an instance of 'Gen Standard Preference Page'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Standard Preference Page'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenDiagramPreferences

    public T caseGenDiagramPreferences(GenDiagramPreferences object)

  Returns the result of interpreting the object as an instance of 'Gen Diagram Preferences'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Diagram Preferences'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenFont

    public T caseGenFont(GenFont object)

  Returns the result of interpreting the object as an instance of 'Gen Font'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Font'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenStandardFont

    public T caseGenStandardFont(GenStandardFont object)

  Returns the result of interpreting the object as an instance of 'Gen Standard Font'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Standard Font'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenCustomFont

    public T caseGenCustomFont(GenCustomFont object)

  Returns the result of interpreting the object as an instance of 'Gen Custom Font'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Custom Font'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenColor

    public T caseGenColor(GenColor object)

  Returns the result of interpreting the object as an instance of 'Gen Color'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Color'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenRGBColor

    public T caseGenRGBColor(GenRGBColor object)

  Returns the result of interpreting the object as an instance of 'Gen RGB Color'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen RGB Color'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenConstantColor

    public T caseGenConstantColor(GenConstantColor object)

  Returns the result of interpreting the object as an instance of 'Gen Constant Color'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Constant Color'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseBatchValidation

    public T caseBatchValidation(BatchValidation object)

  Returns the result of interpreting the object as an instance of 'Batch Validation'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Batch Validation'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseProviderClassNames

    public T caseProviderClassNames(ProviderClassNames object)

  Returns the result of interpreting the object as an instance of 'Provider Class Names'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Provider Class Names'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseShortcuts

    public T caseShortcuts(Shortcuts object)

  Returns the result of interpreting the object as an instance of 'Shortcuts'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Shortcuts'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### casePackageNames

    public T casePackageNames(PackageNames object)

  Returns the result of interpreting the object as an instance of 'Package Names'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Package Names'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseLinkConstraints

    public T caseLinkConstraints(LinkConstraints object)

  Returns the result of interpreting the object as an instance of 'Link Constraints'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Link Constraints'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseEditorCandies

    public T caseEditorCandies(EditorCandies object)

  Returns the result of interpreting the object as an instance of 'Editor Candies'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Editor Candies'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseEditPartCandies

    public T caseEditPartCandies(EditPartCandies object)

  Returns the result of interpreting the object as an instance of 'Edit Part Candies'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Edit Part Candies'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseMeasurementUnit

    public T caseMeasurementUnit(MeasurementUnit object)

  Returns the result of interpreting the object as an instance of 'Measurement Unit'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Measurement Unit'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenDiagramUpdater

    public T caseGenDiagramUpdater(GenDiagramUpdater object)

  Returns the result of interpreting the object as an instance of 'Gen Diagram Updater'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Diagram Updater'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenPlugin

    public T caseGenPlugin(GenPlugin object)

  Returns the result of interpreting the object as an instance of 'Gen Plugin'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Plugin'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseDynamicModelAccess

    public T caseDynamicModelAccess(DynamicModelAccess object)

  Returns the result of interpreting the object as an instance of 'Dynamic Model Access'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Dynamic Model Access'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseElementType

    public T caseElementType(ElementType object)

  Returns the result of interpreting the object as an instance of 'Element Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Element Type'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseMetamodelType

    public T caseMetamodelType(MetamodelType object)

  Returns the result of interpreting the object as an instance of 'Metamodel Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Metamodel Type'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseSpecializationType

    public T caseSpecializationType(SpecializationType object)

  Returns the result of interpreting the object as an instance of 'Specialization Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Specialization Type'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseNotationType

    public T caseNotationType(NotationType object)

  Returns the result of interpreting the object as an instance of 'Notation Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Notation Type'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenCommonBase

    public T caseGenCommonBase(GenCommonBase object)

  Returns the result of interpreting the object as an instance of 'Gen Common Base'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Common Base'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseBehaviour

    public T caseBehaviour(Behaviour object)

  Returns the result of interpreting the object as an instance of 'Behaviour'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Behaviour'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseCustomBehaviour

    public T caseCustomBehaviour(CustomBehaviour object)

  Returns the result of interpreting the object as an instance of 'Custom Behaviour'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Custom Behaviour'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseSharedBehaviour

    public T caseSharedBehaviour(SharedBehaviour object)

  Returns the result of interpreting the object as an instance of 'Shared Behaviour'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Shared Behaviour'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseOpenDiagramBehaviour

    public T caseOpenDiagramBehaviour(OpenDiagramBehaviour object)

  Returns the result of interpreting the object as an instance of 'Open Diagram Behaviour'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Open Diagram Behaviour'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenContainerBase

    public T caseGenContainerBase(GenContainerBase object)

  Returns the result of interpreting the object as an instance of 'Gen Container Base'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Container Base'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenNode

    public T caseGenNode(GenNode object)

  Returns the result of interpreting the object as an instance of 'Gen Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Node'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenTopLevelNode

    public T caseGenTopLevelNode(GenTopLevelNode object)

  Returns the result of interpreting the object as an instance of 'Gen Top Level Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Top Level Node'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenChildNode

    public T caseGenChildNode(GenChildNode object)

  Returns the result of interpreting the object as an instance of 'Gen Child Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Child Node'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenChildSideAffixedNode

    public T caseGenChildSideAffixedNode(GenChildSideAffixedNode object)

  Returns the result of interpreting the object as an instance of 'Gen Child Side Affixed Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Child Side Affixed Node'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenChildLabelNode

    public T caseGenChildLabelNode(GenChildLabelNode object)

  Returns the result of interpreting the object as an instance of 'Gen Child Label Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Child Label Node'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenCompartment

    public T caseGenCompartment(GenCompartment object)

  Returns the result of interpreting the object as an instance of 'Gen Compartment'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Compartment'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenChildContainer

    public T caseGenChildContainer(GenChildContainer object)

  Returns the result of interpreting the object as an instance of 'Gen Child Container'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Child Container'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenLink

    public T caseGenLink(GenLink object)

  Returns the result of interpreting the object as an instance of 'Gen Link'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Link'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenLabel

    public T caseGenLabel(GenLabel object)

  Returns the result of interpreting the object as an instance of 'Gen Label'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Label'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenNodeLabel

    public T caseGenNodeLabel(GenNodeLabel object)

  Returns the result of interpreting the object as an instance of 'Gen Node Label'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Node Label'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenExternalNodeLabel

    public T caseGenExternalNodeLabel(GenExternalNodeLabel object)

  Returns the result of interpreting the object as an instance of 'Gen External Node Label'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen External Node Label'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenLinkLabel

    public T caseGenLinkLabel(GenLinkLabel object)

  Returns the result of interpreting the object as an instance of 'Gen Link Label'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Link Label'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseModelFacet

    public T caseModelFacet(ModelFacet object)

  Returns the result of interpreting the object as an instance of 'Model Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Model Facet'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseLinkModelFacet

    public T caseLinkModelFacet(LinkModelFacet object)

  Returns the result of interpreting the object as an instance of 'Link Model Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Link Model Facet'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseLabelModelFacet

    public T caseLabelModelFacet(LabelModelFacet object)

  Returns the result of interpreting the object as an instance of 'Label Model Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Label Model Facet'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseTypeModelFacet

    public T caseTypeModelFacet(TypeModelFacet object)

  Returns the result of interpreting the object as an instance of 'Type Model Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Type Model Facet'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseFeatureLabelModelFacet

    public T caseFeatureLabelModelFacet(FeatureLabelModelFacet object)

  Returns the result of interpreting the object as an instance of 'Feature Label Model Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Feature Label Model Facet'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseDesignLabelModelFacet

    public T caseDesignLabelModelFacet(DesignLabelModelFacet object)

  Returns the result of interpreting the object as an instance of 'Design Label Model Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Design Label Model Facet'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseTypeLinkModelFacet

    public T caseTypeLinkModelFacet(TypeLinkModelFacet object)

  Returns the result of interpreting the object as an instance of 'Type Link Model Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Type Link Model Facet'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseFeatureLinkModelFacet

    public T caseFeatureLinkModelFacet(FeatureLinkModelFacet object)

  Returns the result of interpreting the object as an instance of 'Feature Link Model Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Feature Link Model Facet'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseViewmap

    public T caseViewmap(Viewmap object)

  Returns the result of interpreting the object as an instance of 'Viewmap'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Viewmap'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseAttributes

    public T caseAttributes(Attributes object)

  Returns the result of interpreting the object as an instance of 'Attributes'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Attributes'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseColorAttributes

    public T caseColorAttributes(ColorAttributes object)

  Returns the result of interpreting the object as an instance of 'Color Attributes'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Color Attributes'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseStyleAttributes

    public T caseStyleAttributes(StyleAttributes object)

  Returns the result of interpreting the object as an instance of 'Style Attributes'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Style Attributes'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseResizeConstraints

    public T caseResizeConstraints(ResizeConstraints object)

  Returns the result of interpreting the object as an instance of 'Resize Constraints'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Resize Constraints'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseDefaultSizeAttributes

    public T caseDefaultSizeAttributes(DefaultSizeAttributes object)

  Returns the result of interpreting the object as an instance of 'Default Size Attributes'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Default Size Attributes'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseLabelOffsetAttributes

    public T caseLabelOffsetAttributes(LabelOffsetAttributes object)

  Returns the result of interpreting the object as an instance of 'Label Offset Attributes'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Label Offset Attributes'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseFigureViewmap

    public T caseFigureViewmap(FigureViewmap object)

  Returns the result of interpreting the object as an instance of 'Figure Viewmap'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Figure Viewmap'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseSnippetViewmap

    public T caseSnippetViewmap(SnippetViewmap object)

  Returns the result of interpreting the object as an instance of 'Snippet Viewmap'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Snippet Viewmap'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseInnerClassViewmap

    public T caseInnerClassViewmap(InnerClassViewmap object)

  Returns the result of interpreting the object as an instance of 'Inner Class Viewmap'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Inner Class Viewmap'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseParentAssignedViewmap

    public T caseParentAssignedViewmap(ParentAssignedViewmap object)

  Returns the result of interpreting the object as an instance of 'Parent Assigned Viewmap'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Parent Assigned Viewmap'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### casePalette

    public T casePalette(Palette object)

  Returns the result of interpreting the object as an instance of 'Palette'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Palette'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseEntryBase

    public T caseEntryBase(EntryBase object)

  Returns the result of interpreting the object as an instance of 'Entry Base'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Entry Base'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseAbstractToolEntry

    public T caseAbstractToolEntry(AbstractToolEntry object)

  Returns the result of interpreting the object as an instance of 'Abstract Tool Entry'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Abstract Tool Entry'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseToolEntry

    public T caseToolEntry(ToolEntry object)

  Returns the result of interpreting the object as an instance of 'Tool Entry'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Tool Entry'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseStandardEntry

    public T caseStandardEntry(StandardEntry object)

  Returns the result of interpreting the object as an instance of 'Standard Entry'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Standard Entry'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseToolGroupItem

    public T caseToolGroupItem(ToolGroupItem object)

  Returns the result of interpreting the object as an instance of 'Tool Group Item'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Tool Group Item'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseSeparator

    public T caseSeparator(Separator object)

  Returns the result of interpreting the object as an instance of 'Separator'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Separator'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseToolGroup

    public T caseToolGroup(ToolGroup object)

  Returns the result of interpreting the object as an instance of 'Tool Group'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Tool Group'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenElementInitializer

    public T caseGenElementInitializer(GenElementInitializer object)

  Returns the result of interpreting the object as an instance of 'Gen Element Initializer'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Element Initializer'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenFeatureSeqInitializer

    public T caseGenFeatureSeqInitializer(GenFeatureSeqInitializer object)

  Returns the result of interpreting the object as an instance of 'Gen Feature Seq Initializer'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Feature Seq Initializer'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenFeatureValueSpec

    public T caseGenFeatureValueSpec(GenFeatureValueSpec object)

  Returns the result of interpreting the object as an instance of 'Gen Feature Value Spec'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Feature Value Spec'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenReferenceNewElementSpec

    public T caseGenReferenceNewElementSpec(GenReferenceNewElementSpec object)

  Returns the result of interpreting the object as an instance of 'Gen Reference New Element Spec'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Reference New Element Spec'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenFeatureInitializer

    public T caseGenFeatureInitializer(GenFeatureInitializer object)

  Returns the result of interpreting the object as an instance of 'Gen Feature Initializer'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Feature Initializer'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenLinkConstraints

    public T caseGenLinkConstraints(GenLinkConstraints object)

  Returns the result of interpreting the object as an instance of 'Gen Link Constraints'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Link Constraints'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenAuditRoot

    public T caseGenAuditRoot(GenAuditRoot object)

  Returns the result of interpreting the object as an instance of 'Gen Audit Root'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Audit Root'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenAuditContainer

    public T caseGenAuditContainer(GenAuditContainer object)

  Returns the result of interpreting the object as an instance of 'Gen Audit Container'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Audit Container'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenAuditRule

    public T caseGenAuditRule(GenAuditRule object)

  Returns the result of interpreting the object as an instance of 'Gen Audit Rule'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Audit Rule'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenRuleTarget

    public T caseGenRuleTarget(GenRuleTarget object)

  Returns the result of interpreting the object as an instance of 'Gen Rule Target'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Rule Target'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenDomainElementTarget

    public T caseGenDomainElementTarget(GenDomainElementTarget object)

  Returns the result of interpreting the object as an instance of 'Gen Domain Element Target'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Domain Element Target'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenDiagramElementTarget

    public T caseGenDiagramElementTarget(GenDiagramElementTarget object)

  Returns the result of interpreting the object as an instance of 'Gen Diagram Element Target'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Diagram Element Target'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenDomainAttributeTarget

    public T caseGenDomainAttributeTarget(GenDomainAttributeTarget object)

  Returns the result of interpreting the object as an instance of 'Gen Domain Attribute Target'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Domain Attribute Target'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenNotationElementTarget

    public T caseGenNotationElementTarget(GenNotationElementTarget object)

  Returns the result of interpreting the object as an instance of 'Gen Notation Element Target'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Notation Element Target'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenMetricContainer

    public T caseGenMetricContainer(GenMetricContainer object)

  Returns the result of interpreting the object as an instance of 'Gen Metric Container'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Metric Container'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenMetricRule

    public T caseGenMetricRule(GenMetricRule object)

  Returns the result of interpreting the object as an instance of 'Gen Metric Rule'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Metric Rule'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenAuditedMetricTarget

    public T caseGenAuditedMetricTarget(GenAuditedMetricTarget object)

  Returns the result of interpreting the object as an instance of 'Gen Audited Metric Target'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Audited Metric Target'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenAuditable

    public T caseGenAuditable(GenAuditable object)

  Returns the result of interpreting the object as an instance of 'Gen Auditable'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Auditable'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenAuditContext

    public T caseGenAuditContext(GenAuditContext object)

  Returns the result of interpreting the object as an instance of 'Gen Audit Context'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Audit Context'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenMeasurable

    public T caseGenMeasurable(GenMeasurable object)

  Returns the result of interpreting the object as an instance of 'Gen Measurable'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Measurable'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenExpressionProviderContainer

    public T caseGenExpressionProviderContainer(GenExpressionProviderContainer object)

  Returns the result of interpreting the object as an instance of 'Gen Expression Provider Container'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Expression Provider Container'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenExpressionProviderBase

    public T caseGenExpressionProviderBase(GenExpressionProviderBase object)

  Returns the result of interpreting the object as an instance of 'Gen Expression Provider Base'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Expression Provider Base'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenJavaExpressionProvider

    public T caseGenJavaExpressionProvider(GenJavaExpressionProvider object)

  Returns the result of interpreting the object as an instance of 'Gen Java Expression Provider'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Java Expression Provider'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenExpressionInterpreter

    public T caseGenExpressionInterpreter(GenExpressionInterpreter object)

  Returns the result of interpreting the object as an instance of 'Gen Expression Interpreter'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Expression Interpreter'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenDomainModelNavigator

    public T caseGenDomainModelNavigator(GenDomainModelNavigator object)

  Returns the result of interpreting the object as an instance of 'Gen Domain Model Navigator'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Domain Model Navigator'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenNavigator

    public T caseGenNavigator(GenNavigator object)

  Returns the result of interpreting the object as an instance of 'Gen Navigator'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Navigator'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenNavigatorChildReference

    public T caseGenNavigatorChildReference(GenNavigatorChildReference object)

  Returns the result of interpreting the object as an instance of 'Gen Navigator Child Reference'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Navigator Child Reference'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenNavigatorPath

    public T caseGenNavigatorPath(GenNavigatorPath object)

  Returns the result of interpreting the object as an instance of 'Gen Navigator Path'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Navigator Path'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenNavigatorPathSegment

    public T caseGenNavigatorPathSegment(GenNavigatorPathSegment object)

  Returns the result of interpreting the object as an instance of 'Gen Navigator Path Segment'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Navigator Path Segment'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenPropertySheet

    public T caseGenPropertySheet(GenPropertySheet object)

  Returns the result of interpreting the object as an instance of 'Gen Property Sheet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Property Sheet'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenPropertyTab

    public T caseGenPropertyTab(GenPropertyTab object)

  Returns the result of interpreting the object as an instance of 'Gen Property Tab'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Property Tab'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenStandardPropertyTab

    public T caseGenStandardPropertyTab(GenStandardPropertyTab object)

  Returns the result of interpreting the object as an instance of 'Gen Standard Property Tab'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Standard Property Tab'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenCustomPropertyTab

    public T caseGenCustomPropertyTab(GenCustomPropertyTab object)

  Returns the result of interpreting the object as an instance of 'Gen Custom Property Tab'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Custom Property Tab'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenPropertyTabFilter

    public T caseGenPropertyTabFilter(GenPropertyTabFilter object)

  Returns the result of interpreting the object as an instance of 'Gen Property Tab Filter'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Property Tab Filter'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseTypeTabFilter

    public T caseTypeTabFilter(TypeTabFilter object)

  Returns the result of interpreting the object as an instance of 'Type Tab Filter'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Type Tab Filter'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseCustomTabFilter

    public T caseCustomTabFilter(CustomTabFilter object)

  Returns the result of interpreting the object as an instance of 'Custom Tab Filter'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Custom Tab Filter'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenContributionItem

    public T caseGenContributionItem(GenContributionItem object)

  Returns the result of interpreting the object as an instance of 'Gen Contribution Item'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Contribution Item'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenSharedContributionItem

    public T caseGenSharedContributionItem(GenSharedContributionItem object)

  Returns the result of interpreting the object as an instance of 'Gen Shared Contribution Item'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Shared Contribution Item'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenGroupMarker

    public T caseGenGroupMarker(GenGroupMarker object)

  Returns the result of interpreting the object as an instance of 'Gen Group Marker'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Group Marker'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenSeparator

    public T caseGenSeparator(GenSeparator object)

  Returns the result of interpreting the object as an instance of 'Gen Separator'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Separator'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenActionFactoryContributionItem

    public T caseGenActionFactoryContributionItem(GenActionFactoryContributionItem object)

  Returns the result of interpreting the object as an instance of 'Gen Action Factory Contribution Item'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Action Factory Contribution Item'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenContributionManager

    public T caseGenContributionManager(GenContributionManager object)

  Returns the result of interpreting the object as an instance of 'Gen Contribution Manager'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Contribution Manager'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenMenuManager

    public T caseGenMenuManager(GenMenuManager object)

  Returns the result of interpreting the object as an instance of 'Gen Menu Manager'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Menu Manager'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenToolBarManager

    public T caseGenToolBarManager(GenToolBarManager object)

  Returns the result of interpreting the object as an instance of 'Gen Tool Bar Manager'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Tool Bar Manager'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenApplication

    public T caseGenApplication(GenApplication object)

  Returns the result of interpreting the object as an instance of 'Gen Application'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Application'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenRuleBase

    public T caseGenRuleBase(GenRuleBase object)

  Returns the result of interpreting the object as an instance of 'Gen Rule Base'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Rule Base'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseValueExpression

    public T caseValueExpression(ValueExpression object)

  Returns the result of interpreting the object as an instance of 'Value Expression'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Value Expression'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenConstraint

    public T caseGenConstraint(GenConstraint object)

  Returns the result of interpreting the object as an instance of 'Gen Constraint'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gen Constraint'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### defaultCase

    public T defaultCase(org.eclipse.emf.ecore.EObject object)

  Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EObject'.
  See Also:
    `doSwitch(org.eclipse.emf.ecore.EObject)`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.